Merge remote-tracking branch 'upstream/2024.03-rc' into relais-update

This commit is contained in:
Michael 2024-03-16 08:35:56 +00:00
commit a9b78d1974
7 changed files with 24 additions and 24 deletions

View File

@ -39,7 +39,7 @@ steps:
branch: [ develop, '*-rc' ] branch: [ develop, '*-rc' ]
event: push event: push
composer_install: composer_install:
image: friendicaci/php7.4:php7.4.33 image: friendicaci/php8.2:php8.2.16
commands: commands:
- export COMPOSER_HOME=.composer - export COMPOSER_HOME=.composer
- composer validate - composer validate

View File

@ -1,10 +1,11 @@
matrix: matrix:
include: include:
- PHP_MAJOR_VERSION: 7.4 - PHP_MAJOR_VERSION: 8.2
PHP_VERSION: 7.4.33 PHP_VERSION: 8.2.16
branches: when:
exclude: [ stable ] - branch:
exclude: [ stable ]
# This forces CI executions at the "opensocial" labeled location (because of much more power...) # This forces CI executions at the "opensocial" labeled location (because of much more power...)
labels: labels:

View File

@ -8,5 +8,6 @@ steps:
commands: commands:
- /check-messages.sh - /check-messages.sh
branches: when:
exclude: [ stable ] - branch:
exclude: [ stable ]

View File

@ -5,9 +5,11 @@ matrix:
- PHP_MAJOR_VERSION: 8.0 - PHP_MAJOR_VERSION: 8.0
PHP_VERSION: 8.0.30 PHP_VERSION: 8.0.30
- PHP_MAJOR_VERSION: 8.1 - PHP_MAJOR_VERSION: 8.1
PHP_VERSION: 8.1.23 PHP_VERSION: 8.1.27
- PHP_MAJOR_VERSION: 8.2 - PHP_MAJOR_VERSION: 8.2
PHP_VERSION: 8.2.11 PHP_VERSION: 8.2.16
- PHP_MAJOR_VERSION: 8.3
PHP_VERSION: 8.3.3
# This forces PHP Unit executions at the "opensocial" labeled location (because of much more power...) # This forces PHP Unit executions at the "opensocial" labeled location (because of much more power...)
labels: labels:
@ -16,7 +18,6 @@ labels:
steps: steps:
php-lint: php-lint:
image: php:${PHP_MAJOR_VERSION} image: php:${PHP_MAJOR_VERSION}
group: lint
commands: commands:
- find . -name \*.php -not -path './vendor/*' -not -path './view/asset/*' -print0 | xargs -0 -n1 php -l - find . -name \*.php -not -path './vendor/*' -not -path './view/asset/*' -print0 | xargs -0 -n1 php -l
restore_cache: restore_cache:
@ -64,7 +65,7 @@ steps:
- cp config/local-sample.config.php config/local.config.php - cp config/local-sample.config.php config/local.config.php
- if ! bin/wait-for-connection $MYSQL_HOST $MYSQL_PORT 300; then echo "[ERROR] Waited 300 seconds, no response" >&2; exit 1; fi - if ! bin/wait-for-connection $MYSQL_HOST $MYSQL_PORT 300; then echo "[ERROR] Waited 300 seconds, no response" >&2; exit 1; fi
- mysql -h$MYSQL_HOST -P$MYSQL_PORT -p$MYSQL_PASSWORD -u$MYSQL_USER $MYSQL_DATABASE < database.sql - mysql -h$MYSQL_HOST -P$MYSQL_PORT -p$MYSQL_PASSWORD -u$MYSQL_USER $MYSQL_DATABASE < database.sql
- if [ "${PHP_MAJOR_VERSION}" = "7.4" -a "${CI_REPO}" = "friendica/friendica" ]; then - if [ "${PHP_MAJOR_VERSION}" = "8.2" -a "${CI_REPO}" = "friendica/friendica" ]; then
phpenmod xdebug; phpenmod xdebug;
export XDEBUG_MODE=coverage; export XDEBUG_MODE=coverage;
phpunit --configuration tests/phpunit.xml -d memory_limit=-1 --coverage-clover clover.xml; phpunit --configuration tests/phpunit.xml -d memory_limit=-1 --coverage-clover clover.xml;
@ -75,8 +76,8 @@ steps:
image: friendicaci/codecov image: friendicaci/codecov
when: when:
matrix: matrix:
PHP_MAJOR_VERSION: 7.4 PHP_MAJOR_VERSION: 8.2
PHP_VERSION: 7.4.33 PHP_VERSION: 8.2.16
repo: repo:
- friendica/friendica - friendica/friendica
commands: commands:

View File

@ -37,7 +37,7 @@ steps:
branch: stable branch: stable
event: tag event: tag
composer_install: composer_install:
image: friendicaci/php7.4:php7.4.33 image: friendicaci/php8.2:php8.2.16
commands: commands:
- export COMPOSER_HOME=.composer - export COMPOSER_HOME=.composer
- composer validate - composer validate

View File

@ -140,7 +140,7 @@ class Probe
} else { } else {
$newdata[$field] = trim($data[$field]); $newdata[$field] = trim($data[$field]);
} }
} elseif (!in_array($field, $numeric_fields)) { } elseif (!in_array($field, $numeric_fields) && !in_array($field, $boolean_fields)) {
$newdata[$field] = ''; $newdata[$field] = '';
} else { } else {
$newdata[$field] = null; $newdata[$field] = null;

View File

@ -338,16 +338,13 @@ class Delivery
if ($public_dfrn) { if ($public_dfrn) {
Logger::info('Relay delivery to ' . $contact['url'] . ' with guid ' . $target_item['guid'] . ' returns ' . $deliver_status); Logger::info('Relay delivery to ' . $contact['url'] . ' with guid ' . $target_item['guid'] . ' returns ' . $deliver_status);
if ($cmd == Delivery::POST) { $success = ($deliver_status >= 200) && ($deliver_status <= 299);
if (($deliver_status >= 200) && ($deliver_status <= 299)) {
Post\DeliveryData::incrementQueueDone($target_item['uri-id'], $protocol);
GServer::setProtocol($contact['gsid'] ?? 0, $protocol); if ($cmd == Delivery::POST) {
$success = true; Post\DeliveryData::incrementQueueDone($target_item['uri-id'], $protocol);
} else { GServer::setProtocol($contact['gsid'] ?? 0, $protocol);
Post\DeliveryData::incrementQueueFailed($target_item['uri-id']); } else {
$success = false; Post\DeliveryData::incrementQueueFailed($target_item['uri-id']);
}
} }
return $success; return $success;
} }